Summary:        Regular expressions library
Name:           oniguruma
Version:        6.9.8
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/kkos/oniguruma/
Source0:        https://github.com/kkos/oniguruma/releases/download/v%{version}/onig-%{version}.tar.gz

BuildRequires:	make gcc

%description
Oniguruma is a modern and flexible regular expressions library.
It encompasses features from different regular expression
implementations that traditionally exist in different languages.

%package	devel
Summary:	Development files for oniguruma
Requires:	%{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing.

%prep
%autosetup -n onig-%{version} -p1

%build
%configure                               \
	--enable-posix-api                   \
	--enable-binary-compatible-posix-api \
	--disable-silent-rules               \
	--disable-static                     \
	--with-rubydir=%{_bindir}
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec %{__rm} -f {} ';'

%check
%make_build check

%files
%defattr(-,root,root,-)
%license	COPYING
%doc        AUTHORS HISTORY README.md
%lang(ja)	%doc	README_japanese

%{_libdir}/libonig.so.5*

%files devel
%defattr(-,root,root,-)
%doc	doc/API
%doc	doc/CALLOUTS.API
%doc	doc/CALLOUTS.BUILTIN
%doc	doc/FAQ
%doc	doc/RE
%doc	doc/SYNTAX.md
%doc	doc/UNICODE_PROPERTIES
%lang(ja)	%doc	doc/API.ja
%lang(ja)	%doc	doc/CALLOUTS.API.ja
%lang(ja)	%doc	doc/CALLOUTS.BUILTIN.ja
%lang(ja)	%doc	doc/FAQ.ja
%lang(ja)	%doc	doc/RE.ja

%{_bindir}/onig-config
%{_libdir}/libonig.so
%{_includedir}/onig*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.9.8-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.9.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.9.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.9.8-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 14 2022 Shuo Wang <abushwang@tencent.com> - 6.9.8-1
- initial build
